*{
    direction: rtl !important;
}
.layout-fixed .main-sidebar {
    right: 0;
}
.brand-image {
    float: right;
}
.content-wrapper, .main-footer, .main-header {
    margin-left: 0px;
    margin-right: 250px;
}
.mr-auto-navbav{
    margin-right: auto!important;
}
.navbar-expand .navbar-nav .nav-link {
    padding-right: 1rem;
    padding-left: 1rem;
}

[class*=icheck-]>input:first-child:checked+input[type=hidden]+label::after, 
[class*=icheck-]>input:first-child:checked+label::after {
    right: 15px;
    left: auto;
}
.nav-sidebar .nav-link>.right, 
.nav-sidebar .nav-link>p>.right {
    left: 1rem;
    right: auto;
}
.nav-sidebar .nav-link>.right:nth-child(2), 
.nav-sidebar .nav-link>p>.right:nth-child(2) {
    left: 2.2rem;
    right: auto;
}
.small-box .icon>i {
    left: 15px;
    right: auto;
}
@media (min-width: 992px){
    .sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .main-footer, .sidebar-mini.sidebar-collapse .main-header {
        margin-right: 4.6rem!important;
    }
    .sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .main-footer, .sidebar-mini.sidebar-collapse .main-header {
        margin-right: 4.6rem!important;
        margin-left: 0!important;
    }
}

@media (max-width: 767.98px) {
    .main-sidebar, .main-sidebar::before {
        box-shadow: none !important;
        margin-right: -250px;
    }

    .content-wrapper, .content-wrapper::before, .main-footer, .main-footer::before, .main-header, .main-header::before {
        margin-right: 0;
    }

    .sidebar-open .main-sidebar, .sidebar-open .main-sidebar::before {
        margin-right: 0;
    }
}
.custom_thead {
    background-color: rgb(50, 150, 155); /* لون خلفية أفتح قليلاً */
    color: #fff; /* لون النص الأبيض */
}
.custom_thead_search {
    background-color: rgb(174, 208, 210); /* لون خلفية أفتح قليلاً */
    color: #fff; /* لون النص الأبيض */
}


.card_title_center {
    width: 100%;
    text-align: center !important;
    color: #3e3d3d ; /* لون نص العنوان رمادي داكن */
    font-size: 22px; /* زيادة حجم النص للعناوين */
    font-weight: bold; /* جعل النص سميك */


}
/* .form-control {
    position: relative;
    margin-bottom: 15px;
} */
.h-s{
    display: none;
}
.map-res {
    display: none; /* إخفاء الرسالة افتراضيًا */
    font-size: 12px;
    color: red;
    margin-top: 5px;
}

.go-map {
    display: inline-block;
    margin-top: 5px;
    background-color: #007bff;
    color: #fff;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
}

.go-map:hover {
    background-color: #0056b3;
}

.invalid-feedback {
    display: none; /* Hide initially */
    color: red;
}
@media print {
    .print-button {
        display: none; /* إخفاء زر الطباعة أثناء الطباعة */
    }
}

.qr-code {
    width: 100px;
    height: 100px;
    margin: 0 auto; /* لتوسيط الـ QR code */
}
.qr-code img {
    width: 100%;
    height: 100%;
}

